> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a list of phone number configurations

> Creates a list of phone number configurations.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-phone-numbers.yml post /porting_orders/phone_number_configurations
openapi: 3.1.0
info:
  title: Telnyx Porting Phone Numbers API
  version: 2.0.0
  description: API for porting phone numbers, blocks, extensions, and configurations.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting_orders/phone_number_configurations:
    post:
      tags:
        - Porting Orders
      summary: Create a list of phone number configurations
      description: Creates a list of phone number configurations.
      operationId: CreatePhoneNumberConfigurations
      requestBody:
        $ref: '#/components/requestBodies/CreatePortingPhoneNumberConfigurations'
      responses:
        '201':
          $ref: '#/components/responses/CreatePortingPhoneNumberConfigurations'
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable entity. Check message field in response for details.
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const phoneNumberConfiguration = await
            client.portingOrders.phoneNumberConfigurations.create();


            console.log(phoneNumberConfiguration.data);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            phone_number_configuration =
            client.porting_orders.phone_number_configurations.create()

            print(phone_number_configuration.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tphoneNumberConfiguration, err := client.PortingOrders.PhoneNumberConfigurations.New(context.TODO(), telnyx.PortingOrderPhoneNumberConfigurationNewParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", phoneNumberConfiguration.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.portingorders.phonenumberconfigurations.PhoneNumberConfigurationCreateParams;

            import
            com.telnyx.sdk.models.portingorders.phonenumberconfigurations.PhoneNumberConfigurationCreateResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    PhoneNumberConfigurationCreateResponse phoneNumberConfiguration = client.portingOrders().phoneNumberConfigurations().create();
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            phone_number_configuration =
            telnyx.porting_orders.phone_number_configurations.create


            puts(phone_number_configuration)
        - lang: CLI
          source: |-
            telnyx porting-orders:phone-number-configurations create \
              --api-key 'My API Key'
components:
  requestBodies:
    CreatePortingPhoneNumberConfigurations:
      description: A list of phone number configuration parameters
      required: true
      content:
        application/json:
          schema:
            type: object
            properties:
              phone_number_configurations:
                type: array
                maxItems: 20
                items:
                  type: object
                  required:
                    - porting_phone_number_id
                    - user_bundle_id
                  properties:
                    porting_phone_number_id:
                      type: string
                      format: uuid
                      description: Identifies the porting phone number to be configured.
                      example: 927f4687-318c-44bc-9f2f-22a5898143a4
                    user_bundle_id:
                      type: string
                      format: uuid
                      description: >-
                        Identifies the user bundle to be associated with the
                        porting phone number.
                      example: ff901545-3e27-462a-ba9d-2b34654cab82
  responses:
    CreatePortingPhoneNumberConfigurations:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/PortingPhoneNumberConfiguration'
  schemas:
    PortingPhoneNumberConfiguration:
      type: object
      properties:
        id:
          type: string
          description: Uniquely identifies this phone number configuration
          format: uuid
          example: eef3340b-8903-4466-b445-89b697315a3a
        user_bundle_id:
          type: string
          format: uuid
          description: Identifies the associated user bundle
          example: daa4308e-742f-4867-97f2-3073db13319a
        porting_phone_number_id:
          type: string
          format: uuid
          description: Identifies the associated porting phone number
          example: f1486bae-f067-460c-ad43-73a92848f902
        record_type:
          type: string
          example: porting_phone_number_configuration
          description: Identifies the type of the resource.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527000Z'
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2021-03-19T10:07:15.527000Z'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````